Subject: [RFC 17/17] clk: zynq: remove call to of_clk_init

From: [email-masked] (Michal Simek)
Date: Mon, 26 Aug 2013 17:14:25 +0200

On 08/26/2013 02:53 PM, Sebastian Hesselbarth wrote:
> On 08/26/13 14:07, Steffen Trumtrar wrote:
>> On Mon, Aug 26, 2013 at 01:15:11PM +0200, Michal Simek wrote:
>>> I agree with Soren - let's fix the current problem and then when Steffen has patches with syscon
>>> we can look at them.
>>>
>>> If there is any discussion about early syscon registration please let me know.
>>>
>>
>> Where I'm stuck at the moment is: if I map the whole register space to the
>> parent node, how do I get its mapped address in the clkc?
> 
> Steffen,
> 
> if slcr is such an essential part of the SoC, you can choose to provide
> zynq_slcr_readl/writel callbacks. You can then use those callback in the
> clock driver without knowing the base address. Also, it allows you to
> hide slcr specific locking details from subsequent drivers using the
> callbacks.

I don't think this will help. What you need to call in the clk driver is
regmap_read/regmap_write but you can call it when syscon/regmap driver
is initialized.

Steffen: Can you point me to that floading patches? If they are useful
we can try them and help with pushing them to the mainline.
I don't think that there is any reasonable solution without using these
patches.

Thanks,
Michal

-- 
Michal Simek, Ing. (M.Eng), OpenPGP -> KeyID: FE3D1F91
w: www.monstr.eu p: +42-0-721842854
Maintainer of Linux kernel - Microblaze cpu - http://www.monstr.eu/fdt/
Maintainer of Linux kernel - Xilinx Zynq ARM architecture
Microblaze U-BOOT custodian and responsible for u-boot arm zynq platform

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 263 bytes
Desc: OpenPGP digital signature
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20130826/a1571de2/attachment.sig>